Package org.apache.tomcat.jdbc.pool

## Class PoolUtilities

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.PoolUtilities

    public class PoolUtilities
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `PROP_PASSWORD`
`static java.lang.String` `PROP_USER`

### Constructor Summary

Constructors
`PoolUtilities()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Properties` `clone​(java.util.Properties p)`
`static java.util.Properties` `cloneWithoutPassword​(java.util.Properties p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROP_USER

    public static final java.lang.String PROP_USER

See Also:
  Constant Field Values

#### PROP_PASSWORD

    public static final java.lang.String PROP_PASSWORD

See Also:
  Constant Field Values

### Constructor Detail

#### PoolUtilities

    public PoolUtilities()

### Method Detail

#### clone

    public static java.util.Properties clone​(java.util.Properties p)

#### cloneWithoutPassword

    public static java.util.Properties cloneWithoutPassword​(java.util.Properties p)